%{?nodejs_find_provides_and_requires}

%global packagename lru-queue
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-lru-queue
Version:	0.1.0
Release:	2%{?dist}
Summary:	LRU Queue

License:	MIT
URL:		https://github.com/medikoo/lru-queue.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
LRU Queue


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{__nodejs} -e 'require("./")'
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENCE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.0-1
- Initial packaging
